#!/bin/sh -eu

f="$1"; shift
t="$1"; shift

exit_handler()
{
	rm -rf -- "$TEMPDIR"
	exit "$@"
}
trap 'exit 143' HUP INT QUIT TERM
TEMPDIR="$(mktemp -td pam-config-req.XXXXXX)"
trap 'exit_handler $?' EXIT

cd "$TEMPDIR"
tar -xf "$f"

for f in */*; do
	/usr/lib/rpm/pam."$t" "$f"
done |
	sort -u |
	grep -Ev 'pam_(ccreds|krb5|ldap|pkcs11|winbind)\.so' |
	tr '\n' ' '
